#Key for level 0, in level -1, of Philibuster/Wolfman Lair
from eventAPI import getTag, setTag, giveItems, optionInput
from APIUtils import isclearall, showMessage

lairKey = 0

def fireEvent(e):
    global lairKey
    lairKey = getTag(e, "lairKey")
    if (lairKey != 1):
        showMessage(e,
            ["This place looks familiar, and yet, something about it feels twisted"],
            optionInput)
        showMessage(e,
            ["You trip over something at your feet, and pick it up to examine it.",
             "It appears to be a large, rather rusty iron key.",
             "It might be wise to take hold of this."],
            optionInput)
    setTag(e, "lairKey", 1)
    return 1
